import { AxiosPromise } from "axios";
import request from "./request";
//用户授权码模式登录
function loginCode(data?: {
    authorizationCode: string

}) {
    return request({
        url: "login/code",
        method: "post",
        data: data

    })

}
//用户授权码模式登录--测试
function loginCodeTest() {
    return request({
        url: "login/code/test",
        method: "post",
    })

}
//查询模拟考试题库
function studentQustionInfoSelectTestQuestionInfo(params: {
    liceBus: string,
    liceCar: string,
    liceMoto: string,
    liceTruck: string,
    subject: number,
}):AxiosPromise<selectTestQuestionInfo.response> {
    return request({
        url: "student/qustion/info/selectTestQuestionInfo",
        method: "get",
        params

    })

}
//查询模拟考试题库(通用)
function openApiqustionInfoSelectTestQuestionInfo(params: {
    liceBus: string,
    liceCar: string,
    liceMoto: string,
    liceTruck: string,
    subject: number,
}):AxiosPromise<selectTestQuestionInfo.response> {
    return request({
        url: "open-api/qustion/info/selectTestQuestionInfo",
        method: "get",
        params

    })

}
//查询用户信息
function studentUserInfo():AxiosPromise<studentUserInfo.response>{
    return request({
        url: "student/qustion/info/selectTestQuestionInfo",
        method: "get",
    })

}
export default {
    loginCode,
    loginCodeTest,
    studentQustionInfoSelectTestQuestionInfo,
    studentUserInfo,
    openApiqustionInfoSelectTestQuestionInfo


}

function AxiosPromise<T>() {
    throw new Error("Function not implemented.");
}

